#!/bin/bash

#config
UPDATE_DIR=$1
DATA_FILE=".ht_data.xml"
TYPE_FILE=".ht_type"
TRANS_EXT=".xsl"

#tools
TOP_DIR=$(pwd)
XSLTPROC="xsltproc"
PR_SCRIPT="gen_pages.sh"

#set -x

#do create
PRJS=$(find $UPDATE_DIR -name "$DATA_FILE" -printf " %h ");
for DIR in $PRJS;
	do #test project type
	   [ -e "$DIR/$TYPE_FILE" ] && read PR_TYPE < "$DIR/$TYPE_FILE"
	   #check type name
	   if [ "x$PR_TYPE" = "x" ] || ! [ -d "$TOP_DIR/$PR_TYPE" ];
		then echo "ERROR: unknown WEB type '$PR_TYPE'" 1>&2;
		     continue;
           fi
	   #else act
	   echo "Updating $DIR (type: $PR_TYPE)";
	   if ! [ -e "$TOP_DIR/$PR_TYPE/$PR_SCRIPT" ];
		then echo "ERROR: WEB type not avaible !!!" 1>&2;
                     continue;
           fi;
	   source "$TOP_DIR/$PR_TYPE/$PR_SCRIPT"
	   echo "Done.";
done
